Package ru.bitel.bgbilling.modules.yoomoney.server.bean

# Enum Class YoomoneyEvent

java.lang.Object
java.lang.Enum<YoomoneyEvent>
ru.bitel.bgbilling.modules.yoomoney.server.bean.YoomoneyEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<YoomoneyEvent>`, `Constable`

public enum YoomoneyEvent extends Enum<YoomoneyEvent>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PAYMENT_CANCELED`
  `PAYMENT_SUCCEEDED`
  `PAYMENT_WAITING_FOR_CAPTURE`
  `REFUND_SUCCEEDED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEventName()`
  `static YoomoneyEvent`
  `getYoomoneyPaymentEventByEvent(String eventName)`
  `static YoomoneyEvent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static YoomoneyEvent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PAYMENT_WAITING_FOR_CAPTURE

    public static final YoomoneyEvent PAYMENT_WAITING_FOR_CAPTURE

  - ### PAYMENT_SUCCEEDED

    public static final YoomoneyEvent PAYMENT_SUCCEEDED

  - ### PAYMENT_CANCELED

    public static final YoomoneyEvent PAYMENT_CANCELED

  - ### REFUND_SUCCEEDED

    public static final YoomoneyEvent REFUND_SUCCEEDED

- ## Method Details

  - ### values

    public static YoomoneyEvent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static YoomoneyEvent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getEventName

    public String getEventName()

  - ### getYoomoneyPaymentEventByEvent

    public static YoomoneyEvent getYoomoneyPaymentEventByEvent(String eventName)